View Issue Details

IDProjectCategoryView StatusLast Update
0016061mantisbtadministrationpublic2014-12-08 00:34
ReporterdregadAssigned Todregad 
PrioritylowSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0016061: Enable bitwise operations to set log levels
Description

Currently we can only combine log channels using bitwise OR operator.

By defining a new constant covering all available channels, we allow users to define the channels using all bitwise operators, e.g.

$g_log_level = LOG_ALL & ^LOG_DATABASE

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master 122bc9ec

2013-06-15 01:45:22

dregad

Details Diff
Fix 0016061: Added LOG_ALL constant

This enables full use of bitwise operators to set the log channels
($g_log_level) in config_inc.php.
mod - core/constant_inc.php Diff File

Issue History

Date Modified Username Field Change
2013-06-14 19:48 dregad New Issue
2013-06-14 19:48 dregad Status new => assigned
2013-06-14 19:48 dregad Assigned To => dregad
2013-10-11 23:23 dregad Changeset attached => MantisBT master 122bc9ec
2013-10-11 23:23 dregad Status assigned => resolved
2013-10-11 23:23 dregad Resolution open => fixed
2013-10-11 23:23 dregad Fixed in Version => 1.3.0-beta.1
2014-12-08 00:34 vboctor Status resolved => closed